> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Open Public Form

GET https://forms/public/%7Bpublic_token%7D

Public form view — authenticated by Laravel's signed-URL middleware (no Bearer / pb-ectlid headers). All three params (token + expires + signature) come from the Create Public Link response and are stored in env vars by its test script.

Reference: https://docs.itspropel.com/propel-biz/33-forms/08-public-links/open-public-form

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /forms/public/%7Bpublic_token%7D:
    get:
      operationId: open-public-form
      summary: Open Public Form
      description: >-
        Public form view — authenticated by Laravel's signed-URL middleware (no
        Bearer / pb-ectlid headers). All three params (token + expires +
        signature) come from the Create Public Link response and are stored in
        env vars by its test script.
      tags:
        - subpackage_33Forms.subpackage_33Forms/08PublicLinks
      parameters:
        - name: expires
          in: query
          description: >-
            Set by the Create Public Link test script — expiry timestamp on the
            Laravel signed URL
          required: false
          schema:
            type: string
        - name: signature
          in: query
          description: >-
            Set by the Create Public Link test script — HMAC signature on the
            Laravel signed URL
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/33 Forms_08 Public Links_Open Public
                  Form_Response_200
servers:
  - url: https:/
components:
  schemas:
    33 Forms_08 Public Links_Open Public Form_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 33 Forms_08 Public Links_Open Public Form_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/forms/public/%7Bpublic_token%7D"

querystring = {"expires":"2024-07-01T12:00:00Z","signature":"a3f5c9d8e7b6a1c2d3e4f5678901234567890abcdeffedcba9876543210fedcb"}

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://https/forms/public/%7Bpublic_token%7D?expires=2024-07-01T12%3A00%3A00Z&signature=a3f5c9d8e7b6a1c2d3e4f5678901234567890abcdeffedcba9876543210fedcb';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/forms/public/%7Bpublic_token%7D?expires=2024-07-01T12%3A00%3A00Z&signature=a3f5c9d8e7b6a1c2d3e4f5678901234567890abcdeffedcba9876543210fedcb"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/forms/public/%7Bpublic_token%7D?expires=2024-07-01T12%3A00%3A00Z&signature=a3f5c9d8e7b6a1c2d3e4f5678901234567890abcdeffedcba9876543210fedcb")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/forms/public/%7Bpublic_token%7D?expires=2024-07-01T12%3A00%3A00Z&signature=a3f5c9d8e7b6a1c2d3e4f5678901234567890abcdeffedcba9876543210fedcb")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/forms/public/%7Bpublic_token%7D?expires=2024-07-01T12%3A00%3A00Z&signature=a3f5c9d8e7b6a1c2d3e4f5678901234567890abcdeffedcba9876543210fedcb', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/forms/public/%7Bpublic_token%7D?expires=2024-07-01T12%3A00%3A00Z&signature=a3f5c9d8e7b6a1c2d3e4f5678901234567890abcdeffedcba9876543210fedcb");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/forms/public/%7Bpublic_token%7D?expires=2024-07-01T12%3A00%3A00Z&signature=a3f5c9d8e7b6a1c2d3e4f5678901234567890abcdeffedcba9876543210fedcb")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```